
Name:          open-xchange-system
BuildArch:     noarch
#!BuildIgnore: post-build-checks
%if 0%{?rhel_version} && 0%{?rhel_version} >= 700
BuildRequires: ant
%else
BuildRequires: ant-nodeps
%endif
%if 0%{?rhel_version} && 0%{?rhel_version} == 600
BuildRequires: java7-devel
%else
BuildRequires: java-devel >= 1.7.0
%endif
Version:       7.8.0
%define        ox_release 44
Release:       %{ox_release}_<CI_CNT>.<B_CNT>
Group:         Applications/Productivity
License:       GPL-2.0
BuildRoot:     %{_tmppath}/%{name}-%{version}-build
URL:           http://www.open-xchange.com/
Source:        %{name}_%{version}.orig.tar.bz2
Summary:       system integration specific infrastructure
Autoreqprov:   no
PreReq:        /usr/sbin/useradd
%if 0%{?suse_version} && 0%{?suse_version} <= 1210
Requires:      util-linux
%else
Requires:      which
%endif
Requires:      sed

%description
system integration specific infrastructure

Authors:
--------
    Open-Xchange

%prep
%setup -q

%build

%install
export NO_BRP_CHECK_BYTECODE_VERSION=true
mkdir -p %{buildroot}/opt/open-xchange/lib

ant -lib build/lib -Dbasedir=build -DdestDir=%{buildroot} -DpackageName=%{name} -f build/build.xml clean build

%post

%clean
%{__rm} -rf %{buildroot}

%pre
/usr/sbin/groupadd -r open-xchange 2> /dev/null || :
/usr/sbin/useradd -r -g open-xchange -r -s /bin/false -c "open-xchange system user" -d /opt/open-xchange open-xchange 2> /dev/null || :

%files
%defattr(-,root,root)
/opt/open-xchange/lib/oxfunctions.sh

%changelog
* Tue Sep 05 2017 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2017-09-07 (4343)
* Thu Jan 26 2017 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2017-01-26 (3926)
* Thu Jan 19 2017 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2017-01-23 (3876)
* Fri Nov 11 2016 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2016-11-21 (3729)
* Thu Oct 13 2016 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2016-10-24 (3628)
* Tue Sep 20 2016 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2016-09-26 (3570)
* Fri Aug 19 2016 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2016-08-29 (3520)
* Wed Aug 03 2016 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2016-08-03 (3476)
* Mon Jul 25 2016 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2016-08-01 (3465)
* Mon Jul 11 2016 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2016-07-18 (3432)
* Thu Jun 30 2016 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2016-07-04 (3399)
* Wed Jun 15 2016 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2016-06-20 (3346)
* Fri May 27 2016 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2015-06-06 (3316)
* Fri May 13 2016 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2016-05-23 (3293)
* Tue May 03 2016 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2016-05-09 (3271)
* Fri Apr 15 2016 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2016-04-25 (3238)
* Tue Apr 05 2016 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2016-04-11 (3214)
* Wed Mar 23 2016 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2016-03-29 (3188)
* Mon Mar 07 2016 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2016-03-14 (3148)
* Fri Feb 26 2016 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2016-02-29 (3141)
* Mon Feb 22 2016 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2016-02-29 (3121)
* Mon Feb 15 2016 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2016-02-18 (3106)
* Wed Feb 10 2016 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2016-02-08 (3073)
* Tue Jan 26 2016 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2016-01-19 (3062)
* Mon Jan 25 2016 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2016-01-25 (3031)
* Sat Jan 23 2016 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2016-02-05 (3058)
* Sat Jan 23 2016 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2016-02-05 (3058)
* Fri Jan 15 2016 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2016-01-15 (3028)
* Wed Jan 13 2016 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2016-01-13 (2982)
* Tue Jan 12 2016 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2015-12-23 (3011)
* Tue Dec 29 2015 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2016-01-05 (2989)
* Tue Dec 22 2015 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2015-12-23 (2971)
* Fri Dec 11 2015 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2015-12-21 (2953)
* Tue Dec 08 2015 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2015-12-07 (2918)
* Thu Nov 19 2015 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2015-11-23 (2878)
* Thu Nov 05 2015 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2015-11-09 (2840)
* Fri Oct 30 2015 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2015-11-02 (2853)
* Mon Oct 19 2015 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2015-10-26 (2812)
* Fri Oct 02 2015 Carsten Hoeger <choeger@open-xchange.com>
Sixth candidate for 7.8.0 release
* Fri Sep 25 2015 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2015-09-28 (2767)
* Fri Sep 25 2015 Carsten Hoeger <choeger@open-xchange.com>
Fith candidate for 7.8.0 release
* Fri Sep 18 2015 Carsten Hoeger <choeger@open-xchange.com>
Fourth candidate for 7.8.0 release
* Tue Sep 08 2015 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2015-09-14 (2732)
* Mon Sep 07 2015 Carsten Hoeger <choeger@open-xchange.com>
Third candidate for 7.8.0 release
* Wed Sep 02 2015 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2015-09-01 (2726)
* Mon Aug 24 2015 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2015-08-24 (2674)
* Fri Aug 21 2015 Carsten Hoeger <choeger@open-xchange.com>
Second candidate for 7.8.0 release
* Mon Aug 17 2015 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2015-08-12 (2671)
* Thu Aug 06 2015 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2015-08-17 (2666)
* Wed Aug 05 2015 Carsten Hoeger <choeger@open-xchange.com>
First release candidate for 7.8.0
* Tue Aug 04 2015 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2015-08-10 (2655)
* Mon Aug 03 2015 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2015-08-03 (2650)
* Thu Jul 23 2015 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2015-07-27 (2626)
* Wed Jul 15 2015 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2015-07-20 (2614)
* Fri Jul 03 2015 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2015-07-10
* Fri Jul 03 2015 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2015-07-02 (2611)
* Fri Jul 03 2015 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2015-06-29 (2578)
* Fri Jul 03 2015 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2015-06-29 (2542)
* Wed Jun 24 2015 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2015-06-29 (2569)
* Wed Jun 24 2015 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2015-06-26 (2573)
* Wed Jun 10 2015 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2015-06-08 (2539)
* Wed Jun 10 2015 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2015-06-08 (2540)
* Mon May 18 2015 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2015-05-26 (2521)
* Fri May 15 2015 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2015-05-15 (2529)
* Fri May 08 2015 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2015-05-12 (2478)
* Thu Apr 30 2015 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2015-05-04 (2496)
* Thu Apr 30 2015 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2015-05-04 (2497)
* Tue Apr 28 2015 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2015-05-04 (2505)
* Fri Apr 24 2015 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2015-09-09 (2495)
* Tue Apr 14 2015 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2015-04-13 (2473)
* Wed Apr 08 2015 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2015-04-13 (2474)
* Tue Apr 07 2015 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2013-04-09 (2486)
* Thu Mar 26 2015 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2015-03-30 (2459)
* Mon Mar 23 2015 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2015-03-20
* Tue Mar 17 2015 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2015-03-18
* Fri Mar 13 2015 Carsten Hoeger <choeger@open-xchange.com>
Twelfth candidate for 7.6.2 release
* Fri Mar 06 2015 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2015-03-16
* Fri Mar 06 2015 Carsten Hoeger <choeger@open-xchange.com>
Eleventh candidate for 7.6.2 release
* Wed Mar 04 2015 Carsten Hoeger <choeger@open-xchange.com>
Tenth candidate for 7.6.2 release
* Tue Mar 03 2015 Carsten Hoeger <choeger@open-xchange.com>
Nineth candidate for 7.6.2 release
* Thu Feb 26 2015 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2015-02-23
* Tue Feb 24 2015 Carsten Hoeger <choeger@open-xchange.com>
Eighth candidate for 7.6.2 release
* Mon Feb 23 2015 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2015-02-25
* Wed Feb 11 2015 Carsten Hoeger <choeger@open-xchange.com>
Seventh candidate for 7.6.2 release
* Fri Feb 06 2015 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2015-02-10
* Fri Feb 06 2015 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2015-02-09
* Fri Jan 30 2015 Carsten Hoeger <choeger@open-xchange.com>
Sixth candidate for 7.6.2 release
* Wed Jan 28 2015 Carsten Hoeger <choeger@open-xchange.com>
Fifth candidate for 7.6.2 release
* Mon Jan 26 2015 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2014-10-27
* Mon Jan 26 2015 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2015-01-26
* Mon Jan 12 2015 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2015-01-09
* Wed Jan 07 2015 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2015-01-12
* Fri Dec 12 2014 Carsten Hoeger <choeger@open-xchange.com>
Fourth candidate for 7.6.2 release
* Mon Dec 08 2014 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2014-12-15
* Fri Dec 05 2014 Carsten Hoeger <choeger@open-xchange.com>
Third candidate for 7.6.2 release
* Tue Dec 02 2014 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2014-12-03
* Tue Nov 25 2014 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2014-12-01
* Mon Nov 24 2014 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2014-12-01
* Fri Nov 21 2014 Carsten Hoeger <choeger@open-xchange.com>
Second candidate for 7.6.2 release
* Tue Nov 18 2014 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2014-11-20
* Mon Nov 10 2014 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2014-11-17
* Wed Nov 05 2014 Carsten Hoeger <choeger@open-xchange.com>
prepare for 7.8.0 release
* Fri Oct 31 2014 Carsten Hoeger <choeger@open-xchange.com>
First candidate for 7.6.2 release
* Mon Oct 27 2014 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2014-10-30
* Fri Oct 17 2014 Carsten Hoeger <choeger@open-xchange.com>
Build for patch 2014-10-24
* Tue Oct 14 2014 Carsten Hoeger <choeger@open-xchange.com>
Fifth candidate for 7.6.1 release
* Fri Oct 10 2014 Carsten Hoeger <choeger@open-xchange.com>
Fourth candidate for 7.6.1 release
* Thu Oct 02 2014 Carsten Hoeger <choeger@open-xchange.com>
Third release candidate for 7.6.1
* Wed Sep 17 2014 Carsten Hoeger <choeger@open-xchange.com>
prepare for 7.6.2 release
* Tue Sep 16 2014 Carsten Hoeger <choeger@open-xchange.com>
Second release candidate for 7.6.1
* Fri Sep 05 2014 Carsten Hoeger <choeger@open-xchange.com>
First release candidate for 7.6.1
* Fri Aug 29 2014 Carsten Hoeger <choeger@open-xchange.com>
Initial release
